-- Table: user_profile
CREATE TABLE [user_profile] (
    [user_profile_id] int NOT NULL,
    [user_profile_name] nvarchar(256) NOT NULL,
    [user_guid] uniqueidentifier NOT NULL DEFAULT (newid()),
    [password_hash] int NULL,
    [default_platform_tag_name] nvarchar(32) NULL,
    [default_app_engine_tag_name] nvarchar(32) NULL,
    [default_view_engine_tag_name] nvarchar(32) NULL,
    [default_history_engine_tag_name] nvarchar(32) NULL,
    [default_area_tag_name] nvarchar(32) NULL,
    [default_security_group] nvarchar(32) NOT NULL DEFAULT ('Default'),
    [ide_preferences] ntext(1073741823) NULL,
    [roles] ntext(1073741823) NULL,
    [user_full_name] nvarchar(256) NULL,
    [intouch_access_level] int NULL DEFAULT ((0)),
    [user_version_id] int NOT NULL DEFAULT ((1)),
    [crypto_secure_hashed_pwd] ntext(1073741823) NULL,
    CONSTRAINT [PK_user_profile] PRIMARY KEY ([user_profile_id])
);
GO

